C17(1)

NAME
c17 - ISO (2017) C compiler

SYNOPSIS
c17 [-pedantic] [-pedantic-errors] [-D_ANSI_SOURCE] [options ...]

DESCRIPTION
Calls the C compiler (cc) with the given options, using a C language environment compatible with the isoC-2017 specification.

The following options are available:

-pedantic
    Issue extra warnings defined by ANSI for use of non-ANSI features.

-pedantic-errors
    Issue errors instead of warnings that normally would be presented by -pedantic.

-D_ANSI_SOURCE
    Tell the system header file set to use an ANSI-conformant "clean" namespace.

SEE ALSO
cc(1)

HISTORY
c17 first appeared in NetBSD 11.0.

BUGS
Since c17 is a shell wrapper script to cc, compile errors are prefixed by “cc:”.